Bug 1149811 - (CVE-2019-15890) VUL-0: CVE-2019-15890: kvm, qemu: use-after-free during packet reassembly
(CVE-2019-15890)
VUL-0: CVE-2019-15890: kvm, qemu: use-after-free during packet reassembly
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/241879/
CVSSv3:SUSE:CVE-2019-15890:5.8:(AV:A/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-06 12:55 UTC by Alexandros Toptsoglou
Modified: 2022-06-10 09:12 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-09-06 12:55:38 UTC
CVE-2019-15890

A use-after-free issue was found in the SLiRP networking implementation
of the QEMU emulator. It occurs in ip_reass() routine while reassembling
incoming packets, if the first fragment is bigger than the m->m_dat[] buffer. 

A user/process could use this flaw to crash the Qemu process on the host
resulting in DoS.

Upstream patch:
---------------
  -> https://gitlab.freedesktop.org/slirp/libslirp/commit/c59279437eda91841b9d26079c70b8a540d41204

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1749716
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-15890
Comment 1 Alexandros Toptsoglou 2019-09-06 13:27:19 UTC
Judging from the fix, the patch can be applied without any trouble in all the versions of kvm and qemu. 
Tracked as affected: 

qemu:
SUSE:SLE-11
SUSE:SLE-12-SP1,SP2,SP3,SP4
SUSE:SLE-15:GA,SP1 

kvm:
SUSE:SLE-11-SP1,SP3,SP4
Comment 5 Swamp Workflow Management 2019-11-13 00:01:29 UTC
SUSE-SU-2019:2955-1: An update that solves 6 vulnerabilities and has 8 fixes is now available.

Category: security (important)
Bug References: 1079730,1098403,1111025,1117665,1119991,1143794,1144087,1145379,1145427,1145436,1145774,1146873,1149811,1152506
CVE References: CVE-2018-12207,CVE-2018-20126,CVE-2019-11135,CVE-2019-12068,CVE-2019-14378,CVE-2019-15890
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    qemu-3.1.1.1-9.6.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    qemu-3.1.1.1-9.6.2, qemu-linux-user-3.1.1.1-9.6.2
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    qemu-3.1.1.1-9.6.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-11-14 11:16:35 UTC
openSUSE-SU-2019:2510-1: An update that solves 6 vulnerabilities and has 8 fixes is now available.

Category: security (important)
Bug References: 1079730,1098403,1111025,1117665,1119991,1143794,1144087,1145379,1145427,1145436,1145774,1146873,1149811,1152506
CVE References: CVE-2018-12207,CVE-2018-20126,CVE-2019-11135,CVE-2019-12068,CVE-2019-14378,CVE-2019-15890
Sources used:
openSUSE Leap 15.1 (src):    qemu-3.1.1.1-lp151.7.6.1, qemu-linux-user-3.1.1.1-lp151.7.6.1
Comment 8 Swamp Workflow Management 2020-06-02 13:15:39 UTC
SUSE-SU-2020:1514-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1123156,1146873,1149811,1161066,1163018,1166240,1170940
CVE References: CVE-2019-12068,CVE-2019-15890,CVE-2019-6778,CVE-2020-1711,CVE-2020-1983,CVE-2020-7039,CVE-2020-8608
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    qemu-2.3.1-33.29.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    qemu-2.3.1-33.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-06-03 13:18:41 UTC
SUSE-SU-2020:1526-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1123156,1146873,1149811,1161066,1163018,1166240,1170940
CVE References: CVE-2019-12068,CVE-2019-15890,CVE-2019-6778,CVE-2020-1711,CVE-2020-1983,CVE-2020-7039,CVE-2020-8608
Sources used:
SUSE OpenStack Cloud 7 (src):    qemu-2.6.2-41.59.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    qemu-2.6.2-41.59.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    qemu-2.6.2-41.59.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    qemu-2.6.2-41.59.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-06-04 16:17:17 UTC
SUSE-SU-2020:1538-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1123156,1146873,1149811,1160024,1161066,1163018,1166240,1170940
CVE References: CVE-2019-12068,CVE-2019-15890,CVE-2019-6778,CVE-2020-1711,CVE-2020-1983,CVE-2020-7039,CVE-2020-8608
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    qemu-2.9.1-6.44.1
SUSE OpenStack Cloud 8 (src):    qemu-2.9.1-6.44.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    qemu-2.9.1-6.44.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    qemu-2.9.1-6.44.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    qemu-2.9.1-6.44.1
SUSE Enterprise Storage 5 (src):    qemu-2.9.1-6.44.1
HPE Helion Openstack 8 (src):    qemu-2.9.1-6.44.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2020-06-11 19:12:36 UTC
SUSE-SU-2020:14396-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1123156,1146873,1149811,1161066,1163018,1170940
CVE References: CVE-2019-12068,CVE-2019-15890,CVE-2019-6778,CVE-2020-1983,CVE-2020-7039,CVE-2020-8608
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    kvm-1.4.2-60.31.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Bruce Rogers 2021-04-07 00:36:46 UTC
Not fixing in SLE-11 qemu or SLE-11-SP1 kvm.
Fix submitted in maintenance request for all releases we intend to fix. Returning to security-team.
Comment 15 Swamp Workflow Management 2021-04-23 19:17:56 UTC
SUSE-SU-2021:14706-1: An update that fixes 21 vulnerabilities is now available.

Category: security (important)
Bug References: 1123156,1146873,1149811,1161066,1163018,1170940,1172383,1172384,1172385,1172478,1175441,1176673,1176682,1176684,1178934,1179467,1181108,1182137,1182425,1182577
CVE References: CVE-2014-3689,CVE-2015-1779,CVE-2019-12068,CVE-2019-15890,CVE-2019-6778,CVE-2020-12829,CVE-2020-13361,CVE-2020-13362,CVE-2020-13765,CVE-2020-14364,CVE-2020-1983,CVE-2020-25084,CVE-2020-25624,CVE-2020-25625,CVE-2020-25723,CVE-2020-29130,CVE-2020-29443,CVE-2020-7039,CVE-2020-8608,CVE-2021-20181,CVE-2021-20257
JIRA References: 
Sources used:
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    kvm-1.4.2-53.38.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Carlos López 2022-06-10 09:12:13 UTC
Done, closing.